Katello - Bug #6512

firebug raises 404 on sync completion for missing notifications
07/07/2014 09:58 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Web Ul
Target version: Katello 2.0
Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1110371 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/439
3
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1110371

Description of problem:

| synced 2 large repos ( rhel65 and rhel64), sync was completed but at the end of sync completion firebug raised NetworkError 404
not found

"NetworkError: 404 Not Found - https://dhcp207-55.l1ab.eng.png.redhat.com/katello/notices/get new"

production.log has following error:

AbstractController::ActionNotFound (The action 'get_new' could not be found for NoticesController):
lib/middleware/catch_json_parse_errors.rb:9:in “call'

I'm assuming, its because of missing notification on sync status page.

Version-Release number of selected component (if applicable):
sat6 beta snap9 compose 2

How reproducible:
always

Steps to Reproduce:

1. sync repo from sync status page

2. check firebug console on sync completion
3.

Actual results:
firebug raised NetworkError 404 not found

"NetworkError: 404 Not Found - https://dhcp207-55.1ab.eng.png.redhat.com/katello/notices/get_new"
Expected results:

Additional info:

Associated revisions

Revision ebdae5d2 - 07/10/2014 05:15 AM - Stephen Benjamin

fixes #6512 - move valid notices routes inside resources block

In Rails 3.2.8, it's not seeing the previous notice route get_new as
being part of the engine. Moving inside a resource block fixes that
problem. | also removed 2 routes that aren't valid and shouldn't exist
anymore - note_count and auto_complete_search.

Revision a72a7472 - 07/14/2014 09:41 AM - Walden Raines
Merge pull request #4393 from stbenjam/6512-notices

05/17/2024 1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1110371
https://dhcp207-55.lab.eng.pnq.redhat.com/katello/notices/get_new
https://dhcp207-55.lab.eng.pnq.redhat.com/katello/notices/get_new

fixes #6512 - move valid notices routes inside resources block

History

#1 - 07/07/2014 10:14 AM - Stephen Benjamin
- Status changed from New to Ready For Testing
- Assignee set to Stephen Benjamin

- Target version set to 49

PR https://github.com/Katello/katello/pull/4393

#2 - 07/07/2014 11:21 AM - Eric Helms
- Difficulty set to medium

- Triaged changed from No to Yes

#3 - 07/14/2014 09:41 AM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/4393 added

#4 - 07/14/2014 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|ebdae5d2092c044e1e1add8fc2f5d0769c226f5d.

#5 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
